package com.eco.plugin.xx.ynjtsso.config;

import com.fr.config.*;
import com.fr.config.holder.Conf;
import com.fr.config.holder.factory.Holders;
import com.fr.intelli.record.Focus;
import com.fr.intelli.record.Original;
import com.fr.record.analyzer.EnableMetrics;

@Visualization(category = "单点登录配置")
@EnableMetrics
public class PluginSimpleConfig extends DefaultConfiguration {

    private static volatile PluginSimpleConfig config = null;

    @Focus(id="com.eco.plugin.xx.ynjtsso.config", text = "单点登录配置", source = Original.PLUGIN)
    public static PluginSimpleConfig getInstance() {
        if (config == null) {
            config = ConfigContext.getConfigInstance(PluginSimpleConfig.class);
        }
        return config;
    }

    @Identifier(value = "userinfo", name = "获取用户信息接口", description = "获取用户信息接口", status = Status.SHOW)
    private Conf<String> userinfo = Holders.simple("");

    @Identifier(value = "tokenstr", name = "token参数名", description = "token参数名", status = Status.SHOW)
    private Conf<String> tokenstr = Holders.simple("");

    public String getUserinfo() {
        return userinfo.get();
    }

    public void setUserinfo(String url) {
        this.userinfo.set(url);
    }

    public String getTokenstr() {
        return tokenstr.get();
    }

    public void setTokenstr(String url) {
        this.tokenstr.set(url);
    }

    @Override
    public Object clone() throws CloneNotSupportedException {
        PluginSimpleConfig cloned = (PluginSimpleConfig) super.clone();
        return cloned;
    }

}
